VTK: vtkChartLegend Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkChartLegend Class Reference

draw the chart legend More...

`#include <vtkChartLegend.h>`

Inheritance diagram for vtkChartLegend:
[legend]
Collaboration diagram for vtkChartLegend:
[legend]

## Public Types
enum | { LEFT = 0 , CENTER , RIGHT , TOP , BOTTOM , CUSTOM }
typedef vtkContextItem | Superclass
Public Types inherited from vtkContextItem
typedef vtkAbstractContextItem | Superclass
Public Types inherited from vtkAbstractContextItem
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkChartLegend * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetPoint (const vtkVector2f &point)
| Set point the legend box is anchored to. More...
const vtkVector2f & | GetPointVector ()
| Get point the legend box is anchored to. More...
virtual void | SetLabelSize (int size)
| Set the point size of the label text. More...
virtual int | GetLabelSize ()
| Get the point size of the label text. More...
void | SetChart (vtkChart *chart)
| Set the chart that the legend belongs to and will draw the legend for. More...
vtkChart * | GetChart ()
| Get the chart that the legend belongs to and will draw the legend for. More...
void | Update () override
| Update the geometry of the axis. More...
bool | Paint (vtkContext2D *painter) override
| Paint event for the axis, called whenever the axis needs to be drawn. More...
virtual vtkRectf | GetBoundingRect (vtkContext2D *painter)
| Request the space the legend requires to be drawn. More...
vtkPen * | GetPen ()
| Get the pen used to draw the legend outline. More...
vtkBrush * | GetBrush ()
| Get the brush used to draw the legend background. More...
vtkTextProperty * | GetLabelProperties ()
| Get the vtkTextProperty for the legend's labels. More...
bool | Hit (const vtkContextMouseEvent &mouse) override
| Return true if the supplied x, y coordinate is inside the item. More...
bool | MouseMoveEvent (const vtkContextMouseEvent &mouse) override
| Mouse move event. More...
bool | MouseButtonPressEvent (const vtkContextMouseEvent &mouse) override
| Mouse button down event. More...
bool | MouseButtonReleaseEvent (const vtkContextMouseEvent &mouse) override
| Mouse button release event. More...
virtual void | SetPoint (float, float)
| Set point the legend box is anchored to. More...
void | SetPoint (float[2])
| Set point the legend box is anchored to. More...
virtual float * | GetPoint ()
| Get point the legend box is anchored to. More...
virtual void | GetPoint (float &, float &)
| Get point the legend box is anchored to. More...
virtual void | GetPoint (float[2])
| Get point the legend box is anchored to. More...
virtual void | SetHorizontalAlignment (int)
| Set the horizontal alignment of the legend to the point specified. More...
virtual int | GetHorizontalAlignment ()
| Get the horizontal alignment of the legend to the point specified. More...
virtual void | SetVerticalAlignment (int)
| Set the vertical alignment of the legend to the point specified. More...
virtual int | GetVerticalAlignment ()
| Get the vertical alignment of the legend to the point specified. More...
virtual void | SetPadding (int)
| Set the padding between legend marks, default is 5. More...
virtual int | GetPadding ()
| Get the padding between legend marks. More...
virtual void | SetSymbolWidth (int)
| Set the symbol width, default is 15. More...
virtual int | GetSymbolWidth ()
| Get the legend symbol width. More...
virtual void | SetInline (bool)
| Get/set if the legend should be drawn inline (inside the chart), or not. More...
virtual bool | GetInline ()
| Get/set if the legend should be drawn inline (inside the chart), or not. More...
virtual void | SetDragEnabled (bool)
| Get/set if the legend can be dragged with the mouse button, or not. More...
virtual bool | GetDragEnabled ()
| Get/set if the legend can be dragged with the mouse button, or not. More...
virtual void | SetCacheBounds (bool)
| Toggle whether or not this legend should attempt to cache its position and size. More...
virtual bool | GetCacheBounds ()
| Toggle whether or not this legend should attempt to cache its position and size. More...
virtual void | CacheBoundsOn ()
| Toggle whether or not this legend should attempt to cache its position and size. More...
virtual void | CacheBoundsOff ()
| Toggle whether or not this legend should attempt to cache its position and size. More...
Public Member Functions inherited from vtkContextItem
vtkContextItem * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetTransform (vtkContextTransform *)
| Set the transform of the item. More...
virtual double | GetOpacity ()
| Get the opacity of the item. More...
virtual void | SetOpacity (double)
| Set the opacity of the item. More...
Public Member Functions inherited from vtkAbstractContextItem
vtkAbstractContextItem * | NewInstance () const
virtual bool | PaintChildren (vtkContext2D *painter)
| Paint the children of the item, should be called whenever the children need to be rendered. More...
virtual void | ReleaseGraphicsResources ()
| Release graphics resources hold by the item. More...
vtkIdType | AddItem (vtkAbstractContextItem *item)
| Add child items to this item. More...
bool | RemoveItem (vtkAbstractContextItem *item)
| Remove child item from this item. More...
bool | RemoveItem (vtkIdType index)
| Remove child item from this item. More...
vtkAbstractContextItem * | GetItem (vtkIdType index)
| Get the item at the specified index. More...
vtkIdType | GetItemIndex (vtkAbstractContextItem *item)
| Get the index of the specified item in itemIndex. More...
vtkIdType | GetNumberOfItems ()
| Get the number of child items. More...
void | ClearItems ()
| Remove all child items from this item. More...
vtkIdType | Raise (vtkIdType index)
| Raises the child to the top of the item's stack. More...
virtual vtkIdType | StackAbove (vtkIdType index, vtkIdType under)
| Raises the child above the under sibling. More...
vtkIdType | Lower (vtkIdType index)
| Lowers the child to the bottom of the item's stack. More...
virtual vtkIdType | StackUnder (vtkIdType child, vtkIdType above)
| Lowers the child under the above sibling. More...
virtual vtkAbstractContextItem * | GetPickedItem (const vtkContextMouseEvent &mouse)
| Return the item under the mouse. More...
virtual bool | MouseEnterEvent (const vtkContextMouseEvent &mouse)
| Mouse enter event. More...
virtual bool | MouseLeaveEvent (const vtkContextMouseEvent &mouse)
| Mouse leave event. More...
virtual bool | MouseDoubleClickEvent (const vtkContextMouseEvent &mouse)
| Mouse button double click event. More...
virtual bool | MouseWheelEvent (const vtkContextMouseEvent &mouse, int delta)
| Mouse wheel event, positive delta indicates forward movement of the wheel. More...
virtual bool | KeyPressEvent (const vtkContextKeyEvent &key)
| Key press event. More...
virtual bool | KeyReleaseEvent (const vtkContextKeyEvent &key)
| Key release event. More...
virtual void | SetScene (vtkContextScene *scene)
| Set the vtkContextScene for the item, always set for an item in a scene. More...
vtkContextScene * | GetScene ()
| Get the vtkContextScene for the item, always set for an item in a scene. More...
virtual void | SetParent (vtkAbstractContextItem *parent)
| Set the parent item. More...
vtkAbstractContextItem * | GetParent ()
| Get the parent item. More...
virtual vtkVector2f | MapToParent (const vtkVector2f &point)
| Maps the point to the parent coordinate system. More...
virtual vtkVector2f | MapFromParent (const vtkVector2f &point)
| Maps the point from the parent coordinate system. More...
virtual vtkVector2f | MapToScene (const vtkVector2f &point)
| Maps the point to the scene coordinate system. More...
virtual vtkVector2f | MapFromScene (const vtkVector2f &point)
| Maps the point from the scene coordinate system. More...
virtual bool | GetVisible ()
| Get the visibility of the item (should it be drawn). More...
virtual void | SetVisible (bool)
| Set the visibility of the item (should it be drawn). More...
virtual bool | GetInteractive ()
| Get if the item is interactive (should respond to mouse events). More...
virtual void | SetInteractive (bool)
| Set if the item is interactive (should respond to mouse events). More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkChartLegend * | SafeDownCast (vtkObjectBase *o)
static vtkChartLegend * | New ()
| Creates a 2D Chart object. More...
Static Public Member Functions inherited from vtkContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractContextItem
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractContextItem * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkChartLegend ()
| ~vtkChartLegend () override
Protected Member Functions inherited from vtkContextItem
| vtkContextItem ()=default
| ~vtkContextItem () override
Protected Member Functions inherited from vtkAbstractContextItem
| vtkAbstractContextItem ()
| ~vtkAbstractContextItem () override
virtual void | ReleaseGraphicsCache ()
| Release cache entries created by this context item. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
float * | Point
int | HorizontalAlignment
int | VerticalAlignment
vtkNew< vtkPen > | Pen
| The pen used to draw the legend box. More...
vtkNew< vtkBrush > | Brush
| The brush used to render the background of the legend. More...
vtkNew< vtkTextProperty > | LabelProperties
| The text properties of the labels used in the legend. More...
bool | DragEnabled
| Should we move the legend box around in response to the mouse drag? More...
bool | CacheBounds
| Should the legend attempt to avoid recalculating its position & bounds unnecessarily? More...
int | Button
| Last button to be pressed. More...
vtkTimeStamp | PlotTime
vtkTimeStamp | RectTime
vtkRectf | Rect
int | Padding
| Padding between symbol and text. More...
int | SymbolWidth
| Width of the symbols in pixels in the legend. More...
bool | Inline
| Should the legend be drawn inline in its chart? More...
Private * | Storage
Protected Attributes inherited from vtkContextItem
double | Opacity = 1.0
vtkContextTransform * | Transform = nullptr
Protected Attributes inherited from vtkAbstractContextItem
vtkContextScene * | Scene
| Point to the scene the item is on - can be null. More...
vtkAbstractContextItem * | Parent
| Point to the parent item - can be null. More...
vtkContextScenePrivate * | Children
| This structure provides a list of children, along with convenience functions to paint the children etc. More...
bool | Visible
| Store the visibility of the item (default is true). More...
bool | Interactive
| Store whether the item should respond to interactions (default is true). More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

draw the chart legend

The vtkChartLegend is drawn in screen coordinates. It is usually one of the last elements of a chart to be drawn. It renders the mark/line for each plot, and the plot labels.

Online Examples:

Tests:
  vtkChartLegend (Tests)

Definition at line 40 of file vtkChartLegend.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkContextItem vtkChartLegend::Superclass

Definition at line 43 of file vtkChartLegend.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
LEFT |
CENTER |
RIGHT |
TOP |
BOTTOM |
CUSTOM |

Definition at line 65 of file vtkChartLegend.h.

## Constructor & Destructor Documentation

## ◆ vtkChartLegend()

vtkChartLegend::vtkChartLegend | ( |  | ) |
| protected

## ◆ ~vtkChartLegend()

vtkChartLegend::~vtkChartLegend | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkChartLegend::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkChartLegend::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkContextItem.

Reimplemented in vtkColorLegend, and vtkCategoryLegend.

## ◆ SafeDownCast()

static vtkChartLegend* vtkChartLegend::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkChartLegend::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkContextItem.

Reimplemented in vtkColorLegend, and vtkCategoryLegend.

## ◆ NewInstance()

vtkChartLegend* vtkChartLegend::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkChartLegend::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObjectBase.

Reimplemented in vtkColorLegend.

## ◆ New()

static vtkChartLegend* vtkChartLegend::New | ( |  | ) |
| static

Creates a 2D Chart object.

## ◆ SetPoint() [1/3]

virtual void vtkChartLegend::SetPoint | ( | float | ,
|  | float |
| ) |  |
| virtual

Set point the legend box is anchored to.

Reimplemented in vtkColorLegend.

## ◆ SetPoint() [2/3]

void vtkChartLegend::SetPoint | ( | float | [2] | ) |

Set point the legend box is anchored to.

## ◆ GetPoint() [1/3]

virtual float* vtkChartLegend::GetPoint | ( |  | ) |
| virtual

Get point the legend box is anchored to.

## ◆ GetPoint() [2/3]

virtual void vtkChartLegend::GetPoint | ( | float & | ,
|  | float & |
| ) |  |
| virtual

Get point the legend box is anchored to.

## ◆ GetPoint() [3/3]

virtual void vtkChartLegend::GetPoint | ( | float | [2] | ) |
| virtual

Get point the legend box is anchored to.

## ◆ SetPoint() [3/3]

void vtkChartLegend::SetPoint | ( | const vtkVector2f & | point | ) |

Set point the legend box is anchored to.

## ◆ GetPointVector()

const vtkVector2f& vtkChartLegend::GetPointVector | ( |  | ) |

Get point the legend box is anchored to.

## ◆ SetHorizontalAlignment()

virtual void vtkChartLegend::SetHorizontalAlignment | ( | int |  | ) |
| virtual

Set the horizontal alignment of the legend to the point specified.

Valid values are LEFT, CENTER and RIGHT.

## ◆ GetHorizontalAlignment()

virtual int vtkChartLegend::GetHorizontalAlignment | ( |  | ) |
| virtual

Get the horizontal alignment of the legend to the point specified.

## ◆ SetVerticalAlignment()

virtual void vtkChartLegend::SetVerticalAlignment | ( | int |  | ) |
| virtual

Set the vertical alignment of the legend to the point specified.

Valid values are TOP, CENTER and BOTTOM.

## ◆ GetVerticalAlignment()

virtual int vtkChartLegend::GetVerticalAlignment | ( |  | ) |
| virtual

Get the vertical alignment of the legend to the point specified.

## ◆ SetPadding()

virtual void vtkChartLegend::SetPadding | ( | int |  | ) |
| virtual

Set the padding between legend marks, default is 5.

## ◆ GetPadding()

virtual int vtkChartLegend::GetPadding | ( |  | ) |
| virtual

Get the padding between legend marks.

## ◆ SetSymbolWidth()

virtual void vtkChartLegend::SetSymbolWidth | ( | int |  | ) |
| virtual

Set the symbol width, default is 15.

## ◆ GetSymbolWidth()

virtual int vtkChartLegend::GetSymbolWidth | ( |  | ) |
| virtual

Get the legend symbol width.

## ◆ SetLabelSize()

virtual void vtkChartLegend::SetLabelSize | ( | int | size | ) |
| virtual

Set the point size of the label text.

## ◆ GetLabelSize()

virtual int vtkChartLegend::GetLabelSize | ( |  | ) |
| virtual

Get the point size of the label text.

## ◆ SetInline()

virtual void vtkChartLegend::SetInline | ( | bool |  | ) |
| virtual

Get/set if the legend should be drawn inline (inside the chart), or not.

True would generally request that the chart draws it inside the chart, false would adjust the chart axes and make space to draw the axes outside.

## ◆ GetInline()

virtual bool vtkChartLegend::GetInline | ( |  | ) |
| virtual

Get/set if the legend should be drawn inline (inside the chart), or not.

True would generally request that the chart draws it inside the chart, false would adjust the chart axes and make space to draw the axes outside.

## ◆ SetDragEnabled()

virtual void vtkChartLegend::SetDragEnabled | ( | bool |  | ) |
| virtual

Get/set if the legend can be dragged with the mouse button, or not.

True results in left click and drag causing the legend to move around the scene. False disables response to mouse events. The default is true.

## ◆ GetDragEnabled()

virtual bool vtkChartLegend::GetDragEnabled | ( |  | ) |
| virtual

Get/set if the legend can be dragged with the mouse button, or not.

True results in left click and drag causing the legend to move around the scene. False disables response to mouse events. The default is true.

## ◆ SetChart()

void vtkChartLegend::SetChart | ( | vtkChart * | chart | ) |

Set the chart that the legend belongs to and will draw the legend for.

## ◆ GetChart()

vtkChart* vtkChartLegend::GetChart | ( |  | ) |

Get the chart that the legend belongs to and will draw the legend for.

## ◆ Update()

void vtkChartLegend::Update | ( |  | ) |
| overridevirtual

Update the geometry of the axis.

Takes care of setting up the tick mark locations etc. Should be called by the scene before rendering.

Reimplemented from vtkAbstractContextItem.

Reimplemented in vtkColorLegend.

## ◆ Paint()

bool vtkChartLegend::Paint | ( | vtkContext2D * | painter | ) |
| overridevirtual

Paint event for the axis, called whenever the axis needs to be drawn.

Reimplemented from vtkAbstractContextItem.

Reimplemented in vtkColorLegend.

## ◆ GetBoundingRect()

virtual vtkRectf vtkChartLegend::GetBoundingRect | ( | vtkContext2D * | painter | ) |
| virtual

Request the space the legend requires to be drawn.

This is returned as a vtkRect4f, with the corner being the offset from Point, and the width/ height being the total width/height required by the axis. In order to ensure the numbers are correct, Update() should be called first.

Reimplemented in vtkColorLegend, and vtkCategoryLegend.

## ◆ GetPen()

vtkPen* vtkChartLegend::GetPen | ( |  | ) |

Get the pen used to draw the legend outline.

## ◆ GetBrush()

vtkBrush* vtkChartLegend::GetBrush | ( |  | ) |

Get the brush used to draw the legend background.

## ◆ GetLabelProperties()

vtkTextProperty* vtkChartLegend::GetLabelProperties | ( |  | ) |

Get the vtkTextProperty for the legend's labels.

## ◆ SetCacheBounds()

virtual void vtkChartLegend::SetCacheBounds | ( | bool |  | ) |
| virtual

Toggle whether or not this legend should attempt to cache its position and size.

The default value is true. If this value is set to false, the legend will recalculate its position and bounds every time it is drawn. If users will be able to zoom in or out on your legend, you may want to set this to false. Otherwise, the border around the legend may not resize appropriately.

## ◆ GetCacheBounds()

virtual bool vtkChartLegend::GetCacheBounds | ( |  | ) |
| virtual

Toggle whether or not this legend should attempt to cache its position and size.

The default value is true. If this value is set to false, the legend will recalculate its position and bounds every time it is drawn. If users will be able to zoom in or out on your legend, you may want to set this to false. Otherwise, the border around the legend may not resize appropriately.

## ◆ CacheBoundsOn()

virtual void vtkChartLegend::CacheBoundsOn | ( |  | ) |
| virtual

Toggle whether or not this legend should attempt to cache its position and size.

The default value is true. If this value is set to false, the legend will recalculate its position and bounds every time it is drawn. If users will be able to zoom in or out on your legend, you may want to set this to false. Otherwise, the border around the legend may not resize appropriately.

## ◆ CacheBoundsOff()

virtual void vtkChartLegend::CacheBoundsOff | ( |  | ) |
| virtual

Toggle whether or not this legend should attempt to cache its position and size.

The default value is true. If this value is set to false, the legend will recalculate its position and bounds every time it is drawn. If users will be able to zoom in or out on your legend, you may want to set this to false. Otherwise, the border around the legend may not resize appropriately.

## ◆ Hit()

bool vtkChartLegend::Hit | ( | const vtkContextMouseEvent & | mouse | ) |
| overridevirtual

Return true if the supplied x, y coordinate is inside the item.

Reimplemented from vtkAbstractContextItem.

## ◆ MouseMoveEvent()

bool vtkChartLegend::MouseMoveEvent | ( | const vtkContextMouseEvent & | mouse | ) |
| overridevirtual

Mouse move event.

Reimplemented from vtkAbstractContextItem.

Reimplemented in vtkColorLegend.

## ◆ MouseButtonPressEvent()

bool vtkChartLegend::MouseButtonPressEvent | ( | const vtkContextMouseEvent & | mouse | ) |
| overridevirtual

Mouse button down event.

Reimplemented from vtkAbstractContextItem.

## ◆ MouseButtonReleaseEvent()

bool vtkChartLegend::MouseButtonReleaseEvent | ( | const vtkContextMouseEvent & | mouse | ) |
| overridevirtual

Mouse button release event.

Reimplemented from vtkAbstractContextItem.

## Member Data Documentation

## ◆ Point

float* vtkChartLegend::Point
| protected

Definition at line 256 of file vtkChartLegend.h.

## ◆ HorizontalAlignment

int vtkChartLegend::HorizontalAlignment
| protected

Definition at line 257 of file vtkChartLegend.h.

## ◆ VerticalAlignment

int vtkChartLegend::VerticalAlignment
| protected

Definition at line 258 of file vtkChartLegend.h.

## ◆ Pen

vtkNew<vtkPen> vtkChartLegend::Pen
| protected

The pen used to draw the legend box.

Definition at line 263 of file vtkChartLegend.h.

## ◆ Brush

vtkNew<vtkBrush> vtkChartLegend::Brush
| protected

The brush used to render the background of the legend.

Definition at line 268 of file vtkChartLegend.h.

## ◆ LabelProperties

vtkNew<vtkTextProperty> vtkChartLegend::LabelProperties
| protected

The text properties of the labels used in the legend.

Definition at line 273 of file vtkChartLegend.h.

## ◆ DragEnabled

bool vtkChartLegend::DragEnabled
| protected

Should we move the legend box around in response to the mouse drag?

Definition at line 278 of file vtkChartLegend.h.

## ◆ CacheBounds

bool vtkChartLegend::CacheBounds
| protected

Should the legend attempt to avoid recalculating its position & bounds unnecessarily?

Definition at line 284 of file vtkChartLegend.h.

## ◆ Button

int vtkChartLegend::Button
| protected

Last button to be pressed.

Definition at line 289 of file vtkChartLegend.h.

## ◆ PlotTime

vtkTimeStamp vtkChartLegend::PlotTime
| protected

Definition at line 291 of file vtkChartLegend.h.

## ◆ RectTime

vtkTimeStamp vtkChartLegend::RectTime
| protected

Definition at line 292 of file vtkChartLegend.h.

## ◆ Rect

vtkRectf vtkChartLegend::Rect
| protected

Definition at line 294 of file vtkChartLegend.h.

## ◆ Padding

int vtkChartLegend::Padding
| protected

Padding between symbol and text.

Definition at line 299 of file vtkChartLegend.h.

## ◆ SymbolWidth

int vtkChartLegend::SymbolWidth
| protected

Width of the symbols in pixels in the legend.

Definition at line 304 of file vtkChartLegend.h.

## ◆ Inline

bool vtkChartLegend::Inline
| protected

Should the legend be drawn inline in its chart?

Definition at line 309 of file vtkChartLegend.h.

## ◆ Storage

Private* vtkChartLegend::Storage
| protected

Definition at line 313 of file vtkChartLegend.h.

The documentation for this class was generated from the following file:

- Charts/Core/vtkChartLegend.h